<template>
  <ObModal
    ref="modal"
    size="small"
    title="Удалить факсимиле насовсем?"
    :is-error="true"
    :is-show-controls="true"
    ok-text="Удалить"
    cancel-text="Не удалять"
    @submit="clearFacsimile"
  >
    <p>Факсимиле будет удалена без возможности восстановления. В ранее подписанных документах факсимиле останется без изменений.</p>
  </ObModal>
</template>

<script>
import ObModal from 'common-components/src/obComponents/obModal'
import { mapActions } from "vuex"

export default {
  name: 'FacsimileConfirmDeleteModal',
  components: {
    ObModal
  },
  data () {
    return {
      currentType: null
    }
  },
  methods: {
    ...mapActions({
      saveFacsimile: 'clicarSettings_2/saveFacsimile'
    }),
    open ({ type }) {
      this.currentType = type
      this.$refs.modal.open()
    },
    close () {
      this.$refs.modal.close()
    },
    async clearFacsimile () {
      try {
        await this.saveFacsimile({ type: this.currentType })
      } finally {
        this.close()
      }
    }
  }
}
</script>
